package com.bjtdba.entity.userCenter;

import com.bjtdba.utils.DateUtils;

import java.io.Serializable;
import java.util.Date;

/**
 * 视频评论表(UserVideoComment)实体类
 *
 * @author 何海强
 * @since 2022-11-16 10:42:31
 */
public class UserVideoComment implements Serializable {
    private static final long serialVersionUID = 239096602790637563L;
    
    private Integer mid;
    /**
     * 视频id
     */
    private Integer vid;
    /**
     * 评论用户id
     */
    private Integer uid;
    /**
     * 评论内容
     */
    private String commentText;
    /**
     * 添加时间
     */
    private Date addtime;


    public Integer getMid() {
        return mid;
    }

    public void setMid(Integer mid) {
        this.mid = mid;
    }

    public Integer getVid() {
        return vid;
    }

    public void setVid(Integer vid) {
        this.vid = vid;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getCommentText() {
        return commentText;
    }

    public void setCommentText(String commentText) {
        this.commentText = commentText;
    }

    public String getAddtime() {
        if(addtime!=null){
            return DateUtils.dateToStrLong(addtime);
        }else{
            return null;
        }
    }

    public void setAddtime(Date addtime) {
        this.addtime = addtime;
    }

}

